import { __exports as sync } from '../../../../../../../../_virtual/sync4.mjs';

Object.defineProperty(sync, "__esModule", {
  value: true
});
sync.read = void 0;
function read(path, settings) {
  const lstat = settings.fs.lstatSync(path);
  if (!lstat.isSymbolicLink() || !settings.followSymbolicLink) {
    return lstat;
  }
  try {
    const stat = settings.fs.statSync(path);
    if (settings.markSymbolicLink) {
      stat.isSymbolicLink = () => true;
    }
    return stat;
  } catch (error) {
    if (!settings.throwErrorOnBrokenSymbolicLink) {
      return lstat;
    }
    throw error;
  }
}
sync.read = read;

export { sync as default };
